﻿@font-face {
    font-family: 'MicrosoftFonts';
    src: url('fonts/ntailu/ntailu.eot');
    src: local('☺'), url('fonts/ntailu/ntailu.woff') format('woff'), url('fonts/ntailu/ntailu.ttf') format('truetype'), url('fonts/ntailu/ntailu.svg') format('svg');
    font-weight: normal;
    font-style: normal;
    font-variant: normal;
}


/**
 * The cards
 *
 * Each card plays home to a front and back. I've set them up as squares here
 * by using the padding technique, but you may set them up in any dimensions
 * you like based on your site design.
 */
.card {
    position: relative;
    padding-bottom: 15%;
    text-align: center;
}



/* card fronts and backs */
.card__front {
    position: absolute;
    top: 0;
}

.card__back {
    position: absolute;
    top: 0;
}



.card__front,
.card__back {
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
    -webkit-transition: -webkit-transform 0.3s;
    transition: transform 0.3s;
}

.card__front {
    border: 1px solid #5ca137;
    margin: 0;
    height: 80px;
    color: #245385;
    background-color: #ffffff;
}

.card__back {
    border: 1px solid #5ca137;
    margin: 0;
    height: 80px;
    color: #245385;
    background-color: #ffffff;
    -webkit-transform: rotateY(-180deg);
    transform: rotateY(-180deg);
}

/* card text */
.card__text {
    margin-left: 25%;
    margin-right: 25%;
    text-align: center;
    font-family: MicrosoftFonts, sans-serif;
    color: #245385;
    font-weight: bold;
    font-size: 15px;
    position: relative;
    top: 50%;
    -webkit-transform: translateY(-50%);
    -ms-transform: translateY(-50%);
    transform: translateY(-50%);
}



/* random effect */
.card.effect__random.flipped .card__front {
    -webkit-transform: rotateY(-180deg);
    transform: rotateY(-180deg);
}

.card.effect__random.flipped .card__back {
    -webkit-transform: rotateY(0);
    transform: rotateY(0);
    margin: auto;
}

.flapimgcss {
}

.cardalign {
    display: block;
    margin-left: auto;
    margin-right: auto;
}

@media all and (max-width : 320px) {
    .cardalign {
        display: block;
        margin-left: 5%;
        margin-right: 5%;
    }

    .card__text {
        position: absolute;
        margin: 6% 30%;
        text-align: center;
        width: 48%;
        font-family: MicrosoftFonts, sans-serif;
        color: #245385;
        font-weight: bold;
        font-size: 12px;
    }

    .card__front {
        width: 100%;
        border: 1px solid #5ca137;
        margin: 0;
        height: 75px;
        color: #245385;
        background-color: #ffffff;
    }

    .card__back {
        width: 100%;
        border: 1px solid #5ca137;
        margin: 0;
        height: 75px;
        color: #245385;
        background-color: #ffffff;
        -webkit-transform: rotateY(-180deg);
        transform: rotateY(-180deg);
    }

    .flapimgcss {
        width: 100%;
        height: 100%;
    }
}

@media all and (min-width : 321px) and (max-width : 350px) {

    .card__text {
        position: absolute;
        margin: 6% 30%;
        text-align: center;
        width: 48%;
        font-family: MicrosoftFonts, sans-serif;
        color: #245385;
        font-weight: bold;
        font-size: 12px;
    }

    .flapimgcss {
        width: 100%;
        height: 100%;
    }
}

@media all and (min-width : 351px) and (max-width : 400px) {
    .cardalign {
        display: block;
        margin-left: 3%;
        margin-right: 3%;
    }

    .card__text {
        margin: 6% 30%;
        text-align: center;
        width: 48%;
        font-family: MicrosoftFonts, sans-serif;
        color: #245385;
        font-weight: bold;
        font-size: 12px;
    }

    .flapimgcss {
        width: 100%;
        height: 100%;
    }
}

@media all and (min-width : 401px) and (max-width : 500px) {

    .cardalign {
        display: block;
        margin-left: auto;
        margin-right: auto;
    }

    .card__text {
        position: absolute;
        margin: 6% 30%;
        text-align: center;
        width: 48%;
        font-family: MicrosoftFonts, sans-serif;
        color: #245385;
        font-weight: bold;
        font-size: 12px;
    }

    .flapimgcss {
        width: 100%;
        height: 100%;
    }
}

@media all and (min-width : 501px) and (max-width : 600px) {
    .card__text {
        position: absolute;
        margin: 6% 30%;
        text-align: center;
        width: 48%;
        font-family: MicrosoftFonts, sans-serif;
        color: #245385;
        font-weight: bold;
        font-size: 12px;
    }

    .flapimgcss {
        width: 100%;
        height: 100%;
    }

    .card__front {
        width: 90%;
        border: 1px solid #5ca137;
        margin: 0;
        height: 80px;
        color: #245385;
        background-color: #ffffff;
    }

    .card__back {
        width: 90%;
        border: 1px solid #5ca137;
        margin: 0;
        height: 80px;
        color: #245385;
        background-color: #ffffff;
        -webkit-transform: rotateY(-180deg);
        transform: rotateY(-180deg);
    }
}

@media all and (min-width : 601px) and (max-width : 700px) {

    /*.cardalign{display:block; margin-left:5%;margin-right:5%;}*/

    .card__text {
        position: absolute;
        margin: 10% 30%;
        text-align: center;
        font-family: MicrosoftFonts, sans-serif;
        color: #245385;
        font-weight: bold;
        font-size: 15px;
    }

    .card__front {
        border: 1px solid #5ca137;
        margin: 0;
        height: 113px;
        color: #245385;
        background-color: #ffffff;
    }

    .card__back {
        border: 1px solid #5ca137;
        margin: 0;
        height: 113px;
        color: #245385;
        background-color: #ffffff;
        -webkit-transform: rotateY(-180deg);
        transform: rotateY(-180deg);
    }

    .flapimgcss {
        width: 100%;
        height: auto;
    }
}

@media all and (min-width : 701px) and (max-width : 800px) {

    /*.card__text {
            position:absolute;
        margin: 6% 30%;
        text-align:center;
        width:48%;
        font-family:MicrosoftFonts, sans-serif;
        color:#245385;
        font-weight:bold;
       font-size:12px;
    }

    .flapimgcss{
        width:100%;
        height:100%;
    }

    .card__front {
    
   width:65%;
    border:1px solid #5ca137;
    margin:0;
   height: 80px;
    color:#245385;
    background-color:#ffffff;
}

.card__back {
  
  width:65%;
    border:1px solid #5ca137;
   margin:0;
   height: 80px;
    color:#245385;
    background-color:#ffffff;
  -webkit-transform: rotateY(-180deg);
          transform: rotateY(-180deg);
}*/

    .cardalign {
        display: block;
        margin-left: 10%;
        margin-right: 5%;
    }

    .card__text {
        margin: 10% 30%;
        text-align: center;
        font-family: MicrosoftFonts, sans-serif;
        color: #245385;
        font-weight: bold;
        font-size: 15px;
    }

    .card__front {
        width: 75%;
        border: 1px solid #5ca137;
        margin: 0;
        height: 113px;
        color: #245385;
        background-color: #ffffff;
    }

    .card__back {
        width: 75%;
        border: 1px solid #5ca137;
        margin: 0;
        height: 113px;
        color: #245385;
        background-color: #ffffff;
        -webkit-transform: rotateY(-180deg);
        transform: rotateY(-180deg);
    }

    .flapimgcss {
        width: 100%;
        height: 113px;
    }
}
